#!/usr/bin/env sh

set -o errexit

script_dir=$(dirname "$0")

csplit -sf readme -n 1 "${script_dir}/../README.md.template" '/<RENDER>/'

# shellcheck disable=SC2016
{
  echo '<!-- This document is generated by `make docs` from `.gitlab/README.md` -->'
  echo
  cat readme0
  echo
  echo '### Available OpenTofu Versions'
  echo
  echo 'The following OpenTofu versions are available with this component via the `opentofu_version` input:'
  echo
  yq '.".data".supported_versions | .[] | "- [`" + . + "`](https://github.com/opentofu/opentofu/releases/tag/v" + . + ")"' "${script_dir}/../../opentofu_versions.yaml"
  tail -n+2 readme1
} > "${script_dir}/../../README.md"

rm -f readme0 readme1 readme_inputs.md
